C3DInterpolatorFactory Class Reference
Interpolation

A factory to create interpolators of a given type by providing input data. More...

`#include <mia/3d/interpolator.hh>`

## Public Member Functions

| C3DInterpolatorFactory (const C3DInterpolatorFactory &o)
| Copy constructor.
| C3DInterpolatorFactory (const std::string &kernel, const std::string &boundary_conditions)
| C3DInterpolatorFactory (PSplineKernel kernel, const CSplineBoundaryCondition &boundary_conditions)
| C3DInterpolatorFactory (PSplineKernel kernel, const CSplineBoundaryCondition &xbc, const CSplineBoundaryCondition &ybc, const CSplineBoundaryCondition &zbc)
| C3DInterpolatorFactory (PSplineKernel kernel, const std::string &bc)
template<class T>
T3DConvoluteInterpolator< T > * | create (const T3DDatafield< T > &src) const __attribute__((warn_unused_result))
PSplineKernel | get_kernel () const
C3DInterpolatorFactory & | operator= (const C3DInterpolatorFactory &o)
| Assignment operator.
virtual | ~C3DInterpolatorFactory ()

## Detailed Description

A factory to create interpolators of a given type by providing input data.

Definition at line 174 of file 3d/interpolator.hh.

## Constructor & Destructor Documentation

## C3DInterpolatorFactory() [1/5]

C3DInterpolatorFactory::C3DInterpolatorFactory | ( | const std::string & | kernel,
|  | const std::string & | boundary_conditions )

Construct the factory the interpolation kernel and according boundary conditions

Parameters

  kernel | description of the interpolation kernel
  boundary_conditions | description of the boundary conditions

Referenced by C3DInterpolatorFactory(), and operator=().

## C3DInterpolatorFactory() [2/5]

C3DInterpolatorFactory::C3DInterpolatorFactory | ( | PSplineKernel | kernel,
|  | const CSplineBoundaryCondition & | boundary_conditions )

Construct the factory the interpolation kernel and according boundary conditions

Parameters

  kernel | description of the interpolation kernel
  boundary_conditions | boundary condition proto type

## C3DInterpolatorFactory() [3/5]

C3DInterpolatorFactory::C3DInterpolatorFactory | ( | PSplineKernel | kernel,
|  | const CSplineBoundaryCondition & | xbc,
|  | const CSplineBoundaryCondition & | ybc,
|  | const CSplineBoundaryCondition & | zbc )

Construct the factory the interpolation kernel and according boundary conditions

Parameters

  kernel |
  xbc | boundary conditions along the x-axis
  ybc | boundary conditions along the y-axis
  zbc | boundary conditions along the z-axis

## C3DInterpolatorFactory() [4/5]

C3DInterpolatorFactory::C3DInterpolatorFactory | ( | PSplineKernel | kernel,
|  | const std::string & | bc )

Construct the factory from an interpolation kernel and according boundary conditions description

Parameters

  kernel | interpolation kernel
  bc | description of the boundary conditions

## C3DInterpolatorFactory() [5/5]

C3DInterpolatorFactory::C3DInterpolatorFactory | ( | const C3DInterpolatorFactory & | o | ) |

Copy constructor.

References C3DInterpolatorFactory().

## ~C3DInterpolatorFactory()

virtual C3DInterpolatorFactory::~C3DInterpolatorFactory | ( |  | ) |

virtual

Remarks
  why do I need a virtual destructor here?

References create().

## Member Function Documentation

## create()

template<class T>

T3DConvoluteInterpolator< T > * C3DInterpolatorFactory::create | ( | const T3DDatafield< T > & | src | ) | const

Parameters

  src | input data

Returns
  an interpolator with the given input data and the predefined interpolation type

Definition at line 244 of file 3d/interpolator.hh.

Referenced by ~C3DInterpolatorFactory().

## get_kernel()

PSplineKernel C3DInterpolatorFactory::get_kernel | ( |  | ) | const

Returns
  the B-spline kernel used for interpolator creation

## operator=()

C3DInterpolatorFactory & C3DInterpolatorFactory::operator= | ( | const C3DInterpolatorFactory & | o | ) |

Assignment operator.

References C3DInterpolatorFactory().

The documentation for this class was generated from the following file:

- 3d/interpolator.hh